=== debian/changelog ===
deadbeef (1.10.0+git20250410-0mx23) mx; urgency=medium

  * New upstream release
  * plus some post-release bugfixes

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 13 Apr 2025 15:30:13 +0000

deadbeef (1.9.5-3~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Remove -dmo branding.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 09 Mar 2023 16:51:27 -0800

deadbeef-dmo (1.9.5-dmo3) unstable; urgency=medium

  * Build with ffmpeg 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 10:44:35 +0100

deadbeef-dmo (1.9.5-dmo2) unstable; urgency=medium

  * Enable libretro plugins only for amd64 architecture (uses
    unconditionally SSE3 instructions)

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Feb 2023 08:30:44 +0100

deadbeef-dmo (1.9.5-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Feb 2023 01:03:34 +0100

deadbeef-dmo (1.9.4-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Dec 2022 14:10:42 +0100

deadbeef-dmo (1.9.3-dmo1) unstable; urgency=medium

  * New upstream releae.
  * Remove patch added in 1.9.2-dmo3.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Nov 2022 00:19:45 +0100

deadbeef-dmo (1.9.2-dmo3) unstable; urgency=medium

  * Fix "undefined symbol: av_register_all" error with upstream patch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Nov 2022 17:00:40 +0100

deadbeef-dmo (1.9.2-dmo2) unstable; urgency=medium

  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Oct 2022 13:44:57 +0200

deadbeef-dmo (1.9.2-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Sep 2022 02:11:11 +0200

deadbeef-dmo (1.9.1-dmmo2) unstable; urgency=medium

  * Build with ffmpeg 5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 15:35:02 +0200
