=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter-out i386,$(DEB_HOST_ARCH_CPU)))
	confflags += --disable-soundtouch
endif
ifeq (,$(filter-out amd64,$(DEB_HOST_ARCH_CPU)))
	confflags += --enable-libretro
else
	confflags += --disable-libretro
endif

export CC = clang
export CXX = clang++

export LIBS = -lm

%:
	dh $@  -XCOPYING.GPLv2 -XCOPYING.LGPLv2.1

override_dh_autoreconf:
	cp debian/POTFILES.skip po/

	./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
	--disable-gtk2 $(confflags)

#	exit 1

override_dh_install:
	-rm debian/tmp/usr/lib/*/deadbeef/*.la

	dh_install

override_dh_compress:
	dh_compress -XChangeLog

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_clean:
	dh_clean po/Makefile.in.in m4/intltool.m4 po/POTFILES.skip

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_test override_dh_dwz:
