=== debian/watch ===
version=4

https://github.com/DeaDBeeF-Player/deadbeef/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
